/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"xl.h"
#include	"task.h"
#include	"memory_routine.h"

extern XL_FILE gb_file_root;

void
sp_gc_gblisp_lex()
{
XL_FILE * f, * f1;
	for ( f = gb_file_root.next ; f != &gb_file_root ; ) {
		f1 = f;
		f = f->next;
		if ( TEST_MEM(f1) )
			continue;
		_gb_file_delete(f1);
	}
}

